Comment réparer les problèmes de Flash?

29

J'ai des problèmes avec Adobe Flash dans Ubuntu, quelles sont mes options?

    
posée RobinJ 08.12.2011 - 16:16
la source

8 réponses

25

Comme vous l’avez indiqué, la meilleure solution consiste généralement à suivre ce questionnaire; A pour installer Flash. Cela fonctionne pour la grande majorité des utilisateurs.

Flash-Aid a été supprimé par son auteur et est inconnu si elle reviendra, les éléments suivants ne sont conservés que pour des raisons historiques.

Comme alternative, l'un des meilleurs outils que j'ai trouvés qui vous permet de configurer Flash correctement lors de l'installation est l'add-on Flash-Aid - utilisez le site de l'auteur ou effectuez une recherche sur l'addon-manager de Firefox pour Flash-Aid

Cela supprimera tous les restes de l’installation de Flash et installera Flash directement à partir du site Web d’Adobe. Au cours de l'installation de l'assistant, vous disposez de quelques options de configuration que vous pouvez essayer de résoudre pour résoudre les problèmes de lecteur flash.

Fermer & amp; Redémarrez Firefox / redémarrez pour que la modification prenne effet.

Voir aussi:

réponse donnée fossfreedom 08.12.2011 - 22:50
la source
14

Il y a 2 options.

Activer le lecteur HTML5

Pour Youtube, vous pouvez vous connecter en allant à lien et l'activer ici. Vous pouvez également ajouter &html5=True derrière chaque URL de la vidéo.

Que votre navigateur et la version que vous utilisez prennent en charge la lecture HTML5 d'une vidéo sur un site qui offre une telle option (comme YouTube ou VKontakte ) dépendra du codec choisi par les propriétaires du site. Par exemple, YouTube et VKontakte (un popuar de clone de Facebook en Russie) utilisent des codecs différents pour leurs vidéos HTML5, ce qui signifie que dans la vidéo Ubuntu 12.04 HTML5 la lecture sur VK.com fonctionne dans Chromium, mais pas dans Firefox (et à l'avenir, ces navigateurs pourraient changer de rôle) .

Installez le plug-in Firefox de Flash Aid

Je ne sais pas avec certitude si cela fonctionnera pour vous aussi, mais cela a fonctionné pour moi.
Installez Aide Flash , redémarrez Firefox et cliquez sur le bouton Flash dans le coin supérieur droit de Fenêtre de Firefox. Suivez simplement les instructions de l'assistant et ça devrait aller.

Pour plus de détails sur l’installation de Flash avec Flash Aid, consultez la réponse de fossfreedom: lien

    
réponse donnée RobinJ 22.02.2012 - 13:32
la source
4

Pour Firefox Flash, essayez d’abord ceci:

en cas de problème après une mise à jour automatique.

$ sudo apt-get --reinstall install flashplugin-installer

Il en reste un avec Adobe Flash version 11.2. ???. ??? dans Firefox, Adobe ne publie plus de versions flash supérieures pour Linux.

Pour l’instant, la série 11.2 du plug-in Adobe Flash pour Linux est toujours maintenue et les mises à jour de sécurité vont arriver automatiquement. Cependant, les innovations et les améliorations de l’efficacité énergétique vont manquer.

Pour ajouter le plug-in Google Chrome Pepper Flash à Chrome:

$ sudo add-apt-repository --yes ppa:skunk/pepper-flash
$ sudo apt-get update
$ sudo apt-get install pepflashplugin-installer
$ echo '. /usr/lib/pepflashplugin-installer/pepflashplayer.sh' |sudo tee -a /etc/chromium-browser/default

La dernière version d'Adobe Flash pour Chrome (version 12.0 au moment de la rédaction du présent document) est installée dans Chrome.

Cette solution peut également être scriptée pour une installation facile sur plusieurs machines:

#!/bin/bash
sudo add-apt-repository --yes ppa:skunk/pepper-flash
sudo apt-get update
sudo apt-get install pepflashplugin-installer
STRING='. /usr/lib/pepflashplugin-installer/pepflashplayer.sh'
FILE='/etc/chromium-browser/default'
if ! grep -qe "$STRING" $FILE
  then
    echo "$STRING" |sudo tee -a $FILE
fi

Contrairement à Firefox Flash, Pepper Flash n'est pas mis à jour automatiquement par le gestionnaire de mise à jour; cela nécessite un processus manuel fastidieux. Oublier cela laisse une personne exposée à des menaces de sécurité.

Voici un autre script bash pour rendre manuellement la mise à jour de Pepper Flash un peu moins lourde:

#!/bin/bash
VERSIONS=$(sudo update-pepperflashplugin-nonfree --status)

UPGRADE=$(echo "$VERSIONS" |grep -oE '[^ ]+$' |uniq |wc -l)
UPGRADE=$(($UPGRADE - 1))

if [ $UPGRADE -ne 0 ]
then
    sudo update-pepperflashplugin-nonfree --install
fi

echo "$VERSIONS"

Vérifiez votre version Flash

En général, cela peut être fait sur le site d'Adobe.

L’histoire complète

Voici l’histoire complète bien écrit.

    
réponse donnée Serge Stroobandt 23.02.2014 - 00:52
la source
1

J'utilise Ubuntu 12.04 64-bit avec une Nvidia GeForce 8400 GS.

J'ai le même problème depuis que j'ai corrigé un autre problème Flash sur mon système lié aux GPU Nvidia - voir La vidéo Flash apparaît en bleu sur ce forum. Suite à la solution de contournement affichée au lien précédent, le comportement indésirable de toutes les vidéos Flash teintées en bleu a été stoppé, mais le plug-in Flash a dû se bloquer presque chaque fois que je tentais de regarder une vidéo en ligne.

La solution pour moi était de regarder /etc/adobe/mms.cfg et de supprimer tout sauf une ligne, qui devrait se lire comme suit:

OverrideGPUValidation=true

Cette idée et d’autres sont discutées sur les ubuntuforums , et bien d’autres endroits. Veuillez essayer de changer votre fichier mms.cfg (ou le créer, s'il n'existe pas déjà) et de le publier avec vos résultats. Bonne chance!

    
réponse donnée OpensourceFool 14.07.2012 - 22:12
la source
1

Essayez d’installer Flash en entrant la commande suivante dans le terminal (assurez-vous d’arrêter d’abord toutes les fenêtres de Firefox)

sudo apt-get install adobe-flashplugin
    
réponse donnée praful.p.pai 05.01.2012 - 20:58
la source
0

En ce qui concerne l’option de lecture vidéo HTML5 disponible sur certains sites:

Premièrement, tous les sites ne proposent pas de vidéos HTML5 comme alternative à Flash (espérons qu’il y en aura plus).

Deuxièmement, si votre navigateur et la version que vous utilisez prendront en charge la lecture HTML5 d'une vidéo sur un site offrant une telle option (comme YouTube ou VKontakte ) dépendra du codec choisi par les propriétaires du site. Par exemple, YouTube et VKontakte (un popuar de clone de Facebook en Russie) utilisent des codecs différents pour leurs vidéos HTML5, ce qui signifie que dans la vidéo Ubuntu 12.04 HTML5 la lecture sur VK.com fonctionne dans Chromium, mais pas dans Firefox (et à l'avenir, ces navigateurs pourraient changer de rôle) .

Troisièmement, certaines vidéos peuvent ne pas avoir l’option HTML5 sur YouTube. (Par exemple: lien .) Mais grâce à la réponse de Klementine , il existe un truc utile pour accéder à la lecture HTML5 dans ces cas-là: utilisez la variante" emdedded ". (Pour mon exemple de vidéo: lien .) Et ça marche!

    
réponse donnée imz -- Ivan Zakharyaschev 17.11.2012 - 21:42
la source
0

D'abord, vous devez aller à lien ;

Ensuite, sélectionnez "APT pour Ubuntu 10.04 +".

Une fenêtre devrait s’ouvrir vous demandant de sélectionner un programme pour utiliser le lien apt: vous devez le diriger vers /usr/share/software-center/software-center .

Ce fichier doit être un script Python.

Quand il ouvre le Software Center, activez la source à laquelle il vous dit.

Ensuite, une fois terminé, cliquez sur le bouton d'installation. Vous devrez peut-être redémarrer Firefox pour que cela fonctionne, mais c'est comme ça que je l'ai fait, et cela a fonctionné pour moi!

    
réponse donnée masulzen 28.12.2013 - 03:30
la source
0

J'ai réussi à activer le plug-in Adobe Flash dans Opera en suivant les instructions de cet article russe .

Commençons l'installation de Flash:

  • Installez PepperFlash via apt: sudo apt-get install pepperflashplugin-nonfree
  • télécharger & amp; extraire Adobe Flash: lien
    • obtenir la version " Télécharger le débogueur de contenu du plug-in Flash Player (64 bits) - NPAPI " (notez que si vous utilisez une architecture 32 bits, vous devez sélectionner celui de 32 bits )
  • Extrait: tar xvf <archive_name>
  • Déplace le fichier libpepflashplayer.so à /usr/lib/pepperflashplugin-nonfree/
  • Redémarrez Opera. et vous avez terminé.

Je peux maintenant les voir installés:

  • et sur about://plugins

    
réponse donnée Mincă Daniel Andrei 03.02.2017 - 14:56
la source

Lire d'autres questions sur les étiquettes